Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 925044 - atk: Does not support aarch64 in f19 and rawhide
Summary: atk: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: atk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:04 UTC by Dennis Gilmore
Modified: 2014-01-14 18:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-14 18:03:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
add in patch to enable compilation on aarch64 (deleted)
2013-04-20 02:31 UTC, Al Stone (Old account - use ahs3@redhat.com)
no flags Details | Diff

Description Dennis Gilmore 2013-03-23 00:04:40 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  atk appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/atk/atk-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Al Stone (Old account - use ahs3@redhat.com) 2013-04-20 02:31:45 UTC
Created attachment 737865 [details]
add in patch to enable compilation on aarch64

The attached patch updates the config.{sub,guess} files as needed to enable compilation on aarch64, and includes the changes needed for the spec file.  This patch has been tested and worked successfully with a koji scratch build.


Note You need to log in before you can comment on or make changes to this bug.